package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class PlatformProfitRatioDTO implements Serializable {

    private static final long serialVersionUID = 4624792200393967056L;
    /**
     * 主键标识
     */
    private Long id;
    /**
     * 商家id
     */
    private Long merchantId;
    /**
     * 商家名称
     */
    private String name;
    /**
     * 商家上个月营业额
     */
    private BigDecimal turnover;
    /**
     * 平台商家分佣比例
     */
    private int ratio;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新用户
     */
    private Long updater;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
