package com.chelvc.cloud.vehicle.api.param;

import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class EditPlatformProfitRatioParam implements Serializable {

    private static final long serialVersionUID = 436283372436763938L;

    /**
     * 商家标识
     */
    @NotNull(message = "商家不能为空")
    private Long merchantId;

    /**
     * 分佣比例
     */
    @Min(value = 0, message = "分佣比例不能小于0")
    @Max(value = 100, message = "分佣比例不能大于100")
    private int ratio;

    /**
     * 操作用户标识
     */
    private Long operateUserId;
}
