package com.chelvc.cloud.vehicle.server.entity;

import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.chelvc.framework.common.model.File;
import com.chelvc.framework.database.entity.ModifyEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * @author valley
 * @date 2024/02/02 00:29
 **/
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@TableName(autoResultMap = true)
public class GoodsAssess extends ModifyEntity<Long> {
    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 店铺id
     */
    private Long merchantId;

    /**
     * 商品id
     */
    private Long goodsId;
    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 评价内容
     */
    private String remark;

    /**
     * 评价分数
     */
    private BigDecimal score;

    /**
     * 评价图片
     */
    private List<File> images;

    /**
     * 点击数
     */
    private Long hits;

    /**
     * 是否回复 0 否 1 是
     */
    private Integer isRecover;

}
